package classes;

public class CpsEdge {

	float maxCapacity;
	float flow;
	
	CpsObject A;
	CpsObject B;

	public CpsEdge(CpsObject A, CpsObject B){
		setA(A);
		setB(B);
		this.A.AddConnection(this);
		this.B.AddConnection(this);
		this.maxCapacity = 100;
	}
	
	
	/**
	 * @return the capacity
	 */
	public float getCapacity() {
		return maxCapacity;
	}

	/**
	 * @param cap the Capacity to set
	 */
	public void setCapacity(float cap) {
		this.maxCapacity = cap;
	}

	/**
	 * @return the flow
	 */
	public float getFlow() {
		return flow;
	}

	/**
	 * @param flow the flow to set
	 */
	public void setFlow(float flow) {
		this.flow = flow;
	}
	
	/**
	 * @return the a
	 */
	public CpsObject getA() {
		return A;
	}


	/**
	 * @param a the a to set
	 */
	public void setA(CpsObject a) {
		A = a;
	}


	/**
	 * @return the b
	 */
	public CpsObject getB() {
		return B;
	}


	/**
	 * @param b the b to set
	 */
	public void setB(CpsObject b) {
		B = b;
	}

}