package classes;

public class HolonTransformer extends CpsObject {

	/* Ratio of the transformer */
	float transformRatio;

	/* Fixed transform value */
	float transformFixed;
	
	float maxInput;
	
	float maxOutput;

	/**
	 * Constructor Set type of object (Transformer), its transform ratio and the
	 * default name ("Transformer");
	 */
	public HolonTransformer(String ObjName) {
		super(ObjName);
	}

	public HolonTransformer(String ObjName, String obj) {
		super(ObjName);
		super.setName(obj);
	}

	public HolonTransformer(CpsObject obj) {
		super(obj);
		this.setTransformRatio(((HolonTransformer) obj).getTransformRatio());
		this.setTransformFixed(((HolonTransformer) obj).getTransformFixed());
	}

	/**
	 * Set transform ratio
	 * 
	 * @param ratio
	 *            desired ratio
	 */
	public void setTransformRatio(float ratio) {
		this.transformRatio = ratio;
	}

	/**
	 * Output the actual ratio of the transformer
	 * 
	 * @return actual ratio of the transformer
	 */
	public float getTransformRatio() {
		return this.transformRatio;
	}

	/**
	 * Set fixed Transform Value
	 * 
	 * @param fixed
	 *            desired fixed Transform Value
	 */
	public void setTransformFixed(float fixed) {
		this.transformFixed = fixed;
	}

	/**
	 * Output the actual fixed Transform Value
	 * 
	 * @return actual fixed Transform Value
	 */
	public float getTransformFixed() {
		return this.transformFixed;
	}

	public float getOutput() {
		float output = 0;
		return output;

	}
}
